System.Design 1.0.5000.0 2.0.0.0 System.Object

To generate an ActiveX wrapper for an ActiveX control, first create or obtain an instance of the class. The constructor accepts an object, which sets options for the importer, such as the filename for the wrapper .dll to generate and the output directory to generate the wrapper to. To generate the ActiveX wrapper, call the appropriate Generate method. To generate from a file, call . To generate from a type library, call . The string that is returned will consist of an assembly qualified name (example: "Namespace.Type,Assembly") for the type an ActiveX wrapper was generated for. The wrapper for the ActiveX control will be generated in the .dll file specified in the property of the passed to the constructor. The type can be loaded or queried using and treated as an ordinary managed type. You can also call the GetOcx method of the type to retrieve a COM interface to the object, if the object supports this.

Imports ActiveX controls and generates a wrapper that can be accessed by a designer.

- Constructor
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets the names of the assemblies that are generated for the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets the names of the source files that were generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Runtime.InteropServices.TYPELIBATTR[] To be added. To be added.

  Gets the attributes for the generated type library.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added.

  Generates a wrapper for an ActiveX control for use in the design-time environment.

  An assembly qualified name for the type of ActiveX control for which a wrapper was generated.

  A indicating the file that contains the control. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added.

  Generates a wrapper for an ActiveX control for use in the design-time environment.

  An assembly qualified name for the type of ActiveX control for which a wrapper was generated.

  A that indicates the type library to generate the control from. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` To be added.

  Generates a wrapper for an ActiveX control for use in the design-time environment.

  An assembly qualified name for the type of ActiveX control for which a wrapper was generated.

  A that indicates the type library to generate the control from. The for the control wrapper. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0